/*
    exDOS - Experimental 32 Bit protected mode scripted operating system
    (C) 2005 Jason Hunt
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    Contact: nulluser@gmail.com
    
    File: video.h
*/

#ifndef VIDEO_H
#define VIDEO_H

void vga_put_str(char * s);             // Dump a char to the screen
void vga_put_char(byte c);              // Dump a string to the screen
void vga_put_hex(byte n);               // Dump a 8 bit number in hex
void vga_put_hex_16(word n);            // Dump a word to the display
void vga_put_hex_32(dword n);           // Dump a double word to the display
void vga_draw_status(void);             // Draw OS status bar
void vga_get_cursor(byte *x, byte *y);  // Return cursor pos
void vga_set_cursor(byte x, byte y);    // Set cursor position
void vga_update_cursor(void);           // Sync stored cursor value with vga
void vga_set_attr(byte attr);           // Set the text attribute
byte vga_get_attr( void );              // Get the text attribute
void vga_enable_cursor_move( void );    // Enable hardware cursor movement
void vga_disable_cursor_move( void );   // Disable hardware cursor movement
byte * vga_get_buffer_addr( void );     // Retues the address of the frame buffs

#endif



